Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

make docker dev install posix compliant #7995

Closed

Conversation

@spirobel
Copy link

commented Aug 11, 2019

we cant expect /bin/bash to be around on every system. Depending on
/bin/sh instead makes the docker install for development work on nixos
aswell.

@discoursebot

This comment has been minimized.

Copy link

commented Aug 11, 2019

You've signed the CLA, spirobel. Thank you! This pull request is ready for review.

@discoursebot

This comment has been minimized.

Copy link

commented Aug 11, 2019

This pull request has been mentioned on Discourse Meta. There might be relevant details there:

https://meta.discourse.org/t/beginners-guide-to-install-discourse-for-development-using-docker/102009/52

@eviltrout

This comment has been minimized.

Copy link
Member

commented Aug 12, 2019

I'm not sure all these scripts are compatible with regular sh - @SamSaffron wrote most of them and could chip in.

make docker dev install posix compliant
we cant expect /bin/bash to be around on every system. Depending on
/bin/sh instead makes the docker install for development work on nixos
aswell.

@spirobel spirobel force-pushed the spirobel:make_docker_install_posix_again branch from 6f987eb to 5d7ea40 Aug 13, 2019

@SamSaffron

This comment has been minimized.

Copy link
Member

commented Aug 13, 2019

Oops... looks like we need to close this, sorry, the changes are not bin/sh compliant :(

@SamSaffron SamSaffron closed this Aug 13, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
4 participants
You can’t perform that action at this time.